gtk-strut-0.1.4.0: Library for creating strut windows with gi-gtk

Safe Haskell | None
Language | Haskell2010

Graphics.UI.GIGtkStrut

Synopsis

- defaultStrutConfig :: StrutConfig
- data StrutPosition
  - = TopPos
  - | BottomPos
  - | LeftPos
  - | RightPos
- data StrutSize
  - = ExactSize Int32
  - | ScreenRatio Rational
- data StrutAlignment
  - = Beginning
  - | Center
  - | End
- data StrutConfig = StrutConfig {
  - strutWidth :: StrutSize
  - strutHeight :: StrutSize
  - strutXPadding :: Int32
  - strutYPadding :: Int32
  - strutMonitor :: Maybe Int32
  - strutPosition :: StrutPosition
  - strutAlignment :: StrutAlignment
  - strutDisplayName :: Maybe Text
  }
- buildStrutWindow :: (MonadFail m, MonadIO m) => StrutConfig -> m Window
- setupStrutWindow :: (MonadFail m, MonadIO m) => StrutConfig -> Window -> m ()

# Documentation

defaultStrutConfig :: StrutConfig Source #

data StrutPosition Source #

Constructors

TopPos |
BottomPos |
LeftPos |
RightPos |

#### Instances

Instances details

Read StrutPosition Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods readsPrec :: Int -> ReadS StrutPosition Source # readList :: ReadS [StrutPosition] Source # readPrec :: ReadPrec StrutPosition Source # readListPrec :: ReadPrec [StrutPosition] Source #
Show StrutPosition Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods showsPrec :: Int -> StrutPosition -> ShowS Source # show :: StrutPosition -> String Source # showList :: [StrutPosition] -> ShowS Source #
Eq StrutPosition Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods (==) :: StrutPosition -> StrutPosition -> Bool Source # (/=) :: StrutPosition -> StrutPosition -> Bool Source #

data StrutSize Source #

Constructors

ExactSize Int32 |
ScreenRatio Rational |

#### Instances

Instances details

Read StrutSize Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods readsPrec :: Int -> ReadS StrutSize Source # readList :: ReadS [StrutSize] Source # readPrec :: ReadPrec StrutSize Source # readListPrec :: ReadPrec [StrutSize] Source #
Show StrutSize Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods showsPrec :: Int -> StrutSize -> ShowS Source # show :: StrutSize -> String Source # showList :: [StrutSize] -> ShowS Source #
Eq StrutSize Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods (==) :: StrutSize -> StrutSize -> Bool Source # (/=) :: StrutSize -> StrutSize -> Bool Source #

data StrutAlignment Source #

Constructors

Beginning |
Center |
End |

#### Instances

Instances details

Read StrutAlignment Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods readsPrec :: Int -> ReadS StrutAlignment Source # readList :: ReadS [StrutAlignment] Source # readPrec :: ReadPrec StrutAlignment Source # readListPrec :: ReadPrec [StrutAlignment] Source #
Show StrutAlignment Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods showsPrec :: Int -> StrutAlignment -> ShowS Source # show :: StrutAlignment -> String Source # showList :: [StrutAlignment] -> ShowS Source #
Eq StrutAlignment Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods (==) :: StrutAlignment -> StrutAlignment -> Bool Source # (/=) :: StrutAlignment -> StrutAlignment -> Bool Source #

data StrutConfig Source #

Constructors

StrutConfig |

Fields

- strutWidth :: StrutSize
- strutHeight :: StrutSize
- strutXPadding :: Int32
- strutYPadding :: Int32
- strutMonitor :: Maybe Int32
- strutPosition :: StrutPosition
- strutAlignment :: StrutAlignment
- strutDisplayName :: Maybe Text

#### Instances

Instances details

Default StrutConfig Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods def :: StrutConfig Source #
Show StrutConfig Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods showsPrec :: Int -> StrutConfig -> ShowS Source # show :: StrutConfig -> String Source # showList :: [StrutConfig] -> ShowS Source #
Eq StrutConfig Source # |
Instance details Defined in Graphics.UI.GIGtkStrut Methods (==) :: StrutConfig -> StrutConfig -> Bool Source # (/=) :: StrutConfig -> StrutConfig -> Bool Source #

buildStrutWindow :: (MonadFail m, MonadIO m) => StrutConfig -> m Window Source #

Build a strut window to the specifications provided by the `StrutConfig` argument.

setupStrutWindow :: (MonadFail m, MonadIO m) => StrutConfig -> Window -> m () Source #

Configure the provided `Window` so that it has the properties specified by the `StrutConfig` argument.